mutation createStaffRole(
  $staffId: UUID!
  $roleId: UUID!
  $roleType: RoleType
) @auth(level: USER) {
  staffRole_insert(
    data: {
      staffId: $staffId
      roleId: $roleId
      roleType: $roleType
    }
  )
}

mutation deleteStaffRole(
  $staffId: UUID!
  $roleId: UUID!
) @auth(level: USER) {
  staffRole_delete(
    key: { staffId: $staffId, roleId: $roleId }
  )
}
